<div align="center">
    <img width="200" height="200" style="display: block; border: 1px solid #f5f5f5; border-radius: 9999px;" src="./fastlane/metadata/android/en-US/images/icon.png">
</div>

<br>
<br>
<br>

<div align="center">
    <img alt="GitHub" src="https://img.shields.io/github/license/Ashinch/ReadYou?color=c3e7ff&style=flat-square">
    <img alt="GitHub repo size" src="https://img.shields.io/github/repo-size/Ashinch/ReadYou?color=c3e7ff&style=flat-square">
    <img alt="GitHub last commit" src="https://img.shields.io/github/last-commit/Ashinch/ReadYou?color=c3e7ff&style=flat-square">
    <br>
    <a target="_blank" href="https://t.me/ReadYouApp">
        <img alt="Telegram" src="https://img.shields.io/badge/Telegram-ReadYouApp-c3e7ff?logo=telegram&style=flat-square">
    </a>
    <a target="_blank" href="https://www.figma.com/file/ViBW8GbUgkTMmK6a80h8X1/Read-You?node-id=7028%3A23673">
        <img alt="Figma" src="https://img.shields.io/badge/Figma-ReadYou-c3e7ff?logo=figma&style=flat-square">
    </a>
</div>

<div align="center">
    <h1>Read You</h1>
    <p>Dies ist eine Kopie von <a href="https://reederapp.com/">Reeder</a>, um Android einen RSS-Reader ähnlich zu Reeder zu geben.</p>
    <p><a target="_blank" href="https://github.com/Ashinch/ReadYou/blob/main/README.md">English by DeepL</a>&nbsp;&nbsp;|&nbsp;&nbsp;
    Deutsch&nbsp;&nbsp;|&nbsp;&nbsp;
    <a target="_blank" href="https://github.com/Ashinch/ReadYou/blob/main/README-zh.md">简体中文</a></p>
    <br/>
    <br/>
    <img src="./fastlane/metadata/android/de-DE/images/startup.png" width="19.2%" alt="startup" />
    <img src="./fastlane/metadata/android/de-DE/images/feeds.png" width="19.2%" alt="startup" />
    <img src="./fastlane/metadata/android/de-DE/images/flow.png" width="19.2%" alt="startup" />
    <img src="./fastlane/metadata/android/de-DE/images/read.png" width="19.2%" alt="startup" />
    <img src="./fastlane/metadata/android/de-DE/images/settings.png" width="19.2%" alt="startup" />
    <br/>
    <br/>
</div>

## Funktionen

**Read You** kombiniert die Interaktionslogik von Reeder mit dem Designstil von [Material Design 3 (You)] (https://m3.material.io/).

Nachfolgend sind die bisher erzielten Fortschritte und die Ziele aufgeführt, an denen in naher Zukunft gearbeitet werden soll:

-   [x] Lokal

    -   [x] Feed Links abonnieren
    -   [x] Aus OPML importieren
    -   [x] Artikel Synchronisation
    -   [x] Benachrichtigung über Aktualisierung eines Artikels
    -   [x] Gesamten Artikel abrufen
    -   [x] Filter ungelesen und markiert
    -   [x] Feed Gruppen
    -   [x] Lokalisierung
    -   [x] Als OPML exportieren
    -   [x] Suche nach Artikeln
    -   [ ] Präferenzeinstellungen
    -   [ ] APK veröffentlichen
    -   [ ] Widget
    -   [ ] ...

-   [ ] Fever API Unterstützung
-   [ ] Google Reader API Unterstützung
-   [ ] Inoreader API Unterstützung
-   [ ] ...

> Bei den oben genannten Funktionen handelt es sich nur um vorläufige Implementierungen, und es können noch unbekannte Probleme auftreten.

## Herunterladen

[<img src="https://fdroid.gitlab.io/artwork/badge/get-it-on-de.png"
     alt="Jetzt bei F-Droid"
     height="80">](https://f-droid.org/packages/me.ash.reader/)

oder hole die APK aus dem [GitHub Releasebereich](https://github.com/Ashinch/ReadYou/releases).

## Build

> Wenn Sie eine Vorschau der Read You App wollen, können Sie die **Vorschau-Version** der APK-Datei in [Telegram] (https://t.me/ReadYouApp) herunterladen.

**Read You** ist auf der Android nativen [Jetpack Compose](https://developer.android.com/jetpack/compose) Architektur implementiert.

1. Zuerst müssen Sie sich den Quellcode von **Read You** herunterladen.

    ```shell
    git clone https://github.com/Ashinch/ReadYou.git
    ```

2. Öffnen Sie es dann mit [Android Studio (neueste Version)] (https://developer.android.com/studio).

3. Wenn Sie auf die Schaltfläche `▶ Run` klicken, wird die App automatisch erstellt und ausgeführt.

    > Falls es zu Schwierigkeiten kommt, wähle bitte die Release version.

## Credits

-   [MusicYou](https://github.com/Kyant0/MusicYou)
-   [ParseRSS](https://github.com/muhrifqii/ParseRSS): [MIT](https://github.com/muhrifqii/ParseRSS/blob/master/LICENSE)
-   [Readability4J](https://github.com/dankito/Readability4J): [Apache License 2.0](https://github.com/dankito/Readability4J/blob/master/LICENSE)
-   [opml-parser](https://github.com/mdewilde/opml-parser): [Apache License 2.0](https://github.com/mdewilde/opml-parser/blob/master/LICENSE)
-   [compose-html](https://github.com/ireward/compose-html): [Apache License 2.0](https://github.com/ireward/compose-html/blob/main/LICENSE.txt)
-   （Noch zu verbessern）

## Lizenz

[GNU GPL v3.0](https://github.com/Ashinch/ReadYou/blob/main/LICENSE)
